unit Main;
interface
uses
  SysUtils, Types, Classes, Variants, QTypes, QGraphics, QControls, QForms,
  QDialogs, QStdCtrls, GraphicEx, QExtCtrls, Qt;
type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Open: TButton;
    Save: TButton;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    Image1: TImage;
    procedure OpenClick(Sender: TObject);
    procedure OpenDialog1FilePreview(Sender: TObject;
      const Filename: string; Canvas: TCanvas; const Rect: TRect;
      Progress: TProgressEvent; var Handled: Boolean);
    procedure SaveClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;
var
  Form1: TForm1;
  
implementation
{$R *.xfm}

procedure TForm1.OpenClick(Sender: TObject);
var Desc, Filters: string;
begin
{$IFNDEF K3_D7}
  GetFileFormats.BuildFilterStrings(TGraphic, Desc, Filters);
  OpenDialog1.Filter := desc;
{$ENDIF}
  OpenDialog1.Filter := OpenDialog1.Filter + '|All Files (*.*)|*.*';
  if OpenDialog1.Execute then
    Image1.Picture.LoadFromFile(OpenDialog1.FileName);
end;

procedure TForm1.OpenDialog1FilePreview(Sender: TObject;
  const Filename: string; Canvas: TCanvas; const Rect: TRect;
  Progress: TProgressEvent; var Handled: Boolean);
var TempPic: TPicture;
begin
  Progress := nil;
  TempPic := TPicture.create;
  try
    TempPic.LoadFromFile(Filename);
    Canvas.StretchDraw(Rect,TempPic.Bitmap);
  finally
    TempPic.free;
  end;
  Handled := True;
end;

procedure TForm1.SaveClick(Sender: TObject);
var
  lWideStr: WideString;
  TG: TTargaGraphic;
begin
  SaveDialog1.Filter := 'TARGA (*.tga)|*.tga|PNG (*.png)|*.png' +
    '|JPEG (*.jpg)|*.jpg|BMP (*.bmp)|*.bmp';
  SaveDialog1.InitialDir := ExtractFilePath(OpenDialog1.FileName);
  SaveDialog1.Filename := OpenDialog1.FileName;
  if SaveDialog1.execute then
  begin
    lWideStr := SaveDialog1.Filename;
    case SaveDialog1.FilterIndex of
      1:
        begin
          TG := TTargaGraphic.Create;
          try
            TG.Assign(Image1.picture.bitmap);
            TG.SaveToFile(SaveDialog1.Filename);
          finally
            TG.free;
          end;
        end;
      2: QPixMap_save(Image1.Picture.Bitmap.Handle, @lWideStr, PChar('PNG'));
      3: QPixMap_save(Image1.Picture.Bitmap.Handle, @lWideStr, PChar('JPEG'), 75);
      4: QPixMap_save(Image1.Picture.Bitmap.Handle, @lWideStr, PChar('BMP'));
    end;
  end;
end;
end.

