unit WinComp;
interface

uses Types, QGraphics, Qt;

const
  WinColors16: array[0..15] of TColor =
  (clBlack, clMaroon, clGreen, clOlive, clNavy, clPurple, clTeal, clSilver,
    clGray, clRed, clLime, clYellow, clBlue, clFuchsia, clAqua, clWhite);

const
  BITSPIXEL = 0;

type

  TRGBQuad =
    packed record
    rgbBlue: BYTE;
    rgbGreen: BYTE;
    rgbRed: BYTE;
    rgbReserved: BYTE
  end;

  pRGBQuad = ^TRGBQuad;

  TRGBTriple =
    packed record
    rgbBlue: BYTE;
    rgbGreen: BYTE;
    rgbRed: BYTE;
  end;

  pRGBTriple = ^TRGBTriple;

  HPalette = cardinal;

  tagPALETTEENTRY = packed record
    peBlue: Byte; //swap
    peGreen: Byte;
    peRed: Byte; //swap
    peFlags: Byte;
  end;
  TPaletteEntry = tagPALETTEENTRY;

  PALETTEENTRY = tagPALETTEENTRY;

  TpalPalEntry = array[Byte] of tagPALETTEENTRY;

  PMaxLogPalette = ^TMaxLogPalette;
  TMaxLogPalette = packed record
    palVersion: Word;
    palNumEntries: Word;
    palPalEntry: array[Byte] of TPaletteEntry;
  end;
  PLogPalette = PMaxLogPalette;

function CreatePalette(const LogPalette: TMaxLogPalette): HPalette;
procedure ZeroMemory(Destination: Pointer; Length: DWORD);
function GetDeviceCaps(Handle: QPainterH; nIndex: integer): integer;
function RGB(r, g, b: byte): TColor;

var SystemPalette16: cardinal;
var Palette: TMaxLogPalette;

implementation

var Palette16: TMaxLogPalette;
var i: integer;

function CreatePalette(const LogPalette: TMaxLogPalette): HPalette;
var i: integer;
begin
  Palette.palVersion := LogPalette.palVersion;
  Palette.palNumEntries := LogPalette.palNumEntries;
  for i := 0 to Palette.palNumEntries - 1 do
    Palette.palPalEntry[i] := LogPalette.palPalEntry[i];
  Result := Cardinal(@Palette);
end;

procedure ZeroMemory(Destination: Pointer; Length: DWORD);
begin
  FillChar(Destination^, Length, 0);
end;

function GetDeviceCaps(Handle: QPainterH; nIndex: integer): integer;
begin
  //Only used if pfCustom is set before TTargaGraphic.SaveToStream.
  //Just return 32bit
  Result := 32;
end;

function RGB(r, g, b: byte): TColor;
begin
  result := (b) shl 16 + (g) shl 8 + (r);
end;

initialization
  Palette16.palVersion := $300;
  Palette16.palNumEntries := 16;
  for i := 0 to 15 do
    cardinal(Palette16.palPalEntry[i]) := WinColors16[i];
  SystemPalette16 := Cardinal(@Palette16);
end.


